Book

Shares a book using the same sharing behavior as post-copy StartAfterCopy.

POST
/public-api/v1/Book/{bookId}/Share
cURL
curl --request POST \
  --url '/public-api/v1/Book/{bookId}/Share' \
  --header 'user-api-key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "ShareTo": "PortalMembers"
}'

Authorizations

  • user-api-keystringheader

    User's API Key · apiKey

Path parameters

  • bookIdstringrequired

Body

application/json

Share parameters indicating the target audience.

  • ShareTostring

    Defines who the duplicated books are shared with when StartAfterCopy is true.

Responses

OK